ReferenceEndpoints

Read a report

The rows themselves, shaped by the report parameters.

GET/api/v1/reports/{type}

Parameters

The report type goes in the path. Every report takes the parameters listed in Report parameters

Example

curl "/api/v1/reports/agent-days?activity=AC-0001&week=2026-W47" \
  -H "Authorization: Bearer $PLANIFIZER_API_KEY"
{
  "data": [
    {
      "activity_code": "AC-0006",
      "agent_id": "0dbfaaff-…",
      "agent_code": "AG-0042",
      "date": "2026-10-12",
      "first_start": "08:00",
      "last_end": "17:30",
      "shift_time": 9.5,
      "break_unpaid": 1.5,
      "paid_time": 8
    }
  ],
  "meta": {
    "type": "agent-days",
    "activities": [
      {
        "code": "AC-0006",
        "name": "Caraïbes",
        "timezone": "Africa/Porto-Novo"
      }
    ],
    "from": "2026-10-12",
    "to": "2026-10-18",
    "source": "published",
    "group_by": null,
    "filters": [],
    "sort": null,
    "durations": "decimal",
    "fields": [
      "activity_code",
      "agent_id",
      "agent_code",
      "date",
      "first_start",
      "last_end",
      "shift_time",
      "break_unpaid",
      "paid_time"
    ],
    "count": 1,
    "total": 1,
    "limit": 500,
    "next_cursor": null
  }
}
Read a report — Planifizer API docs